ANON_TRANSPORT_CLASS(9)

NAME
anon_transport_class_register - register an anonymous class

SYNOPSIS

int anon_transport_class_register(struct anon_transport_class * atc);

ARGUMENTS

atc
    The anon transport class to register

DESCRIPTION

The anonymous transport class contains both a transport class and a container. The idea of an anonymous class is that it never actually has any device attributes associated with it (and thus saves on container storage). So it can only be used for triggering events. Use prezero and then use DECLARE_ANON_TRANSPORT_CLASS to initialise the anon transport class storage.

COPYRIGHT